#define Set24c16

#ifndef Set_DUE
  #include <EEPROM.h>
#else
  #ifndef Set24c16 
    byte i2c_adress = 0x68;
    // --------------------------------------------
    void i2c_eeprom_write_byte( int deviceaddress, unsigned int eeaddress, byte data ) {
        int rdata = data;
        Wire.beginTransmission(deviceaddress);
        Wire.write((int)(eeaddress >> 8)); // MSB
        Wire.write((int)(eeaddress & 0xFF)); // LSB
        Wire.write(rdata);
        Wire.endTransmission();
      }
    // ------------------------------
    byte i2c_eeprom_read_byte( int deviceaddress, unsigned int eeaddress ) {
        byte rdata = 0xFF;
        Wire.beginTransmission(deviceaddress);
        Wire.write((int)(eeaddress >> 8)); // MSB
        Wire.write((int)(eeaddress & 0xFF)); // LSB
        Wire.endTransmission();
        Wire.requestFrom(deviceaddress,1);
        if (Wire.available()) rdata = Wire.read();
        return rdata;
      }  
    // --------------------------------------------
    byte PromRead (unsigned int ReadAdress) {  
      return (i2c_eeprom_read_byte(i2c_adress, ReadAdress));
    }
    // --------------------------------------------
    void PromWrite (unsigned int WriteAdress, byte tt) {  
       i2c_eeprom_write_byte(i2c_adress, WriteAdress, tt);
    return;
    }
  #else
    #include <Eeprom24C04_16.h>
    #define EEPROM_ADDRESS  0x50
    static Eeprom24C04_16 eeprom(EEPROM_ADDRESS);
    
    byte PromRead (unsigned int ReadAdress) {  
      return (eeprom.readByte(ReadAdress));
    }
    // --------------------------------------------
    void PromWrite (unsigned int WriteAdress, byte tt) {  
       eeprom.writeByte(WriteAdress, tt);
       delay(10);
    return;
    }

  #endif

#endif  
